跳至內容

Luma Ray 3.2 Reframe

整合

模型 id luma/agent/ray/v3.2/reframe
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/luma/agent/ray/v3.2/reframe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "aspect_ratio": "3:4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $0.60 600 API 點數 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
Luma AI 影片轉影片 唇形同步5–10 秒最高 1080p #stylized#transform#lipsync

將最長 10 秒的現有影片重新構圖至新的長寬比,並依據提示詞延伸額外畫布

Luma AI · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 6000

重新構圖時目標寬高比變更所顯露之額外畫布的填充內容指示。

•必填 video_url
拖放檔案,或

重新構圖來源 URL,僅限不超過 10 秒的影片。

duration

重新構圖後的輸出時長覆寫值:選擇 5s 或 10s,或省略以保留來源影片長度。

aspect_ratio •必填

重新構圖輸出要使用的寬高比。

resolution 預設 540p

重新構圖後的輸出解析度。

進階 enable_safety_checker · source_position

來源影片在輸出畫布中的選填位置,使用正規化矩形指定。

POST /run/luma/agent/ray/v3.2/reframe?wait=20 報價 → $0.60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/luma/agent/ray/v3.2/reframe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "aspect_ratio": "3:4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Luma Ray 3.2 Reframe

接收 `video_url`(10 秒或更短)、目標 `aspect_ratio` 與描述新曝光區域繪製內容的 `prompt`。長寬比範圍為 3:4 到 21:9,`resolution` 為 540p、720p 或 1080p。`duration` 預設為來源長度,也可設為 5s 或 10s。`source_position` 將原始影片放置在新畫布中。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt必填
類型string
≤ 6,000 個字元
重新構圖時目標寬高比變更所顯露之額外畫布的填充內容指示。
video_url必填 video
類型url · video
重新構圖來源 URL,僅限不超過 10 秒的影片。
aspect_ratio必填
類型enum
3:44:31:19:1616:921:9
重新構圖輸出要使用的寬高比。
resolution選填
類型enum
預設值540p
540p720p1080p
重新構圖後的輸出解析度。
duration選填
類型enum
5s10s
重新構圖後的輸出時長覆寫值:選擇 5s 或 10s,或省略以保留來源影片長度。
source_position選填
類型object
來源影片在輸出畫布中的選填位置,使用正規化矩形指定。
source_position.x_norm必填
類型number
-2 – 2
來源矩形的水平座標,計算方式為其左邊緣位置除以輸出寬度。
source_position.y_norm必填
類型number
-2 – 2
來源矩形的垂直座標,計算方式為其上邊緣位置除以輸出高度。
source_position.w_norm必填
類型number
≤ 2, > 0
來源矩形的寬度,以相對於輸出寬度的值表示。
source_position.h_norm必填
類型number
≤ 2, > 0
來源矩形的高度,以相對於輸出高度的值表示。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "luma/agent/ray/v3.2/reframe",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 600,
    "usd": "0.60",
    "charged": 600,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "aspect_ratio": "3:4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "exr_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}模型產生的影片。
exr_file
object {url, content_type, file_name, file_size} | nullLuma 匯出格式的 EXR 輔助檔:單一 EXR 檔案或 ZIP 封存檔。exr_export 為 true 時會生成。

更多模型:影片轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/luma/agent/ray/v3.2/reframe.md. 所有模型與指南: https://doitong.com/developers/llms.txt